Subject: how to generate an authoritive CA Certificate?

From: "zhaoxd" <[email-masked]>
Date: Tue, 10 Sep 2002 16:19:40 +0800

hello,everybody:

 Glad to talk to you!
 I happen to be a learner,so,if I have some problems let you feel bad,patient to me,please!

  When I constructed my web station through apache,I met with some problems!
  
  I made the CA Certificate by myself,and issued a server.crt for my web server using this CA,but I found an unexpected warning happened when I tried to connect my apache server through MSIE&netscape.There is a warning message which says my certificate is not issued by Trusted CA.

  I think the CA generated by myself must be have some problems.My question is:can guys make CA by themselves?

  If so,the steps I generate my CA are:

    1.create a RSA private key for my CA:
        $openssl genrsa -des3 -out ca.key 1024
    2.create a self-signed CA Certificate (X509 structure) with the RSA key of the CA.
        $openssl req -new -x509 -day 365 -key ca.key -out ca.crt
    3.sign the certificate of my server using sign.sh provided by mod_ssl/pkg.contrib/
        $sign.sh server.csr
    Then I got my server.crt issued by my CA Certificate.
    
   Is there any problems during the process I generate CA?

Any help are appreciated!:)
                                        zhaoxd